RESTinio

Classes | Namespaces | Typedefs
connection_settings.hpp File Reference
`#include <http_parser.h>`
`#include <restinio/connection_state_listener.hpp>`
`#include <restinio/incoming_http_msg_limits.hpp>`
`#include <restinio/utils/suppress_exceptions.hpp>`
`#include <memory>`
`#include <chrono>`

Go to the source code of this file.

## Classes
struct | restinio::impl::connection_settings_details::state_listener_holder_t< Listener >
| A class for holding actual state listener. More...
struct | restinio::impl::connection_settings_details::state_listener_holder_t< connection_state::noop_listener_t >
| A specialization of state_listener_holder for case of noop_listener. More...
struct | restinio::impl::connection_settings_t< Traits >
| Parameters shared between connections. More...

## Namespaces
namespace | restinio
namespace | restinio::impl
namespace | restinio::impl::connection_settings_details

## Typedefs
template<typename Traits >
using | restinio::impl::connection_settings_handle_t = std::shared_ptr< connection_settings_t< Traits > >